Package net.sourceforge.jiu.gui.awt

# Class AwtInfo

java.lang.Object
net.sourceforge.jiu.gui.awt.AwtInfo

public class AwtInfo extends Object
Retrieve some information on the current graphical environment.

Since:
  0.8.0
Author:
  Marco Schmidt

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AwtInfo()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getAwtInfo(Strings strings)`
Returns information on the current AWT settings, regarding the current language by using a `Strings` resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AwtInfo

private AwtInfo()

## Method Details

### getAwtInfo

public static String getAwtInfo(Strings strings)
Returns information on the current AWT settings, regarding the current language by using a `Strings` resource. Right now, only returns the screen resolution. All textual information is taken from the strings argument.

Parameters:
  `strings` - String resources
Returns:
  AWT information